Subject: Re: bug#26534: [PATCH] gnu: Update glib to 2.52.1.

From: Roel Janssen <[email-masked]>
Date: Mon, 24 Apr 2017 21:21:42 +0200

Kei Kebreau writes:

> Roel Janssen <[email-masked]> writes:
>
>> Marius Bakke writes:
>>
>>> Roel Janssen <[email-masked]> writes:
>>>
>>>> Marius Bakke writes:
>>>>
>>>>> Roel Janssen <[email-masked]> writes:
>>>>>
>>>>>> From 802c557c95ae9cbe7edeec1ab58fc05ef4c4cd32 Mon Sep 17 00:00:00 2001
>>>>>> From: Roel Janssen <[email-masked]>
>>>>>> Date: Sun, 16 Apr 2017 15:53:54 +0200
>>>>>> Subject: [PATCH] gnu: Update glib to 2.52.1.
>>>>>>
>>>>>> * gnu/packages/glib.scm (glib):  Update to 2.52.1.
>>>>>> ---
>>>>>>  gnu/packages/glib.scm | 4 ++--
>>>>>>  1 file changed, 2 insertions(+), 2 deletions(-)
>>>>>>
>>>>>> diff --git a/gnu/packages/glib.scm b/gnu/packages/glib.scm
>>>>>> index 6de9cce0b..4e29a550b 100644
>>>>>> --- a/gnu/packages/glib.scm
>>>>>> +++ b/gnu/packages/glib.scm
>>>>>> @@ -137,7 +137,7 @@ shared NFS home directories.")
>>>>>>  (define glib
>>>>>>    (package
>>>>>>     (name "glib")
>>>>>> -   (version "2.50.3")
>>>>>> +   (version "2.52.1")
>>>>>>     (source (origin
>>>>>>              (method url-fetch)
>>>>>>              (uri (string-append "mirror://gnome/sources/"
>>>>>> @@ -145,7 +145,7 @@ shared NFS home directories.")
>>>>>>                                  name "-" version ".tar.xz"))
>>>>>>              (sha256
>>>>>>               (base32
>>>>>> -              "16frrwhc1yqkzx6bgh3060g94dr2biab17fb01mrni819jzr9vl2"))
>>>>>> +              "0vsqrvjwsk2x3mm2i428hpm5vgsi1b384l6xdhm7xmzj2yw2d34l"))
>>>>>>              (patches (search-patches "glib-tests-timer.patch"))))
>>>>>>     (build-system gnu-build-system)
>>>>>>     (outputs '("out"           ; everything
>>>>>> -- 
>>>>>> 2.12.1
>>>>>>
>>>>>> Dear Guix,
>>>>>>
>>>>>> Is it OK to update glib?
>>>>>
>>>>> I suspect this would require some other GTK updates as well. Maybe we
>>>>> can start a new "gnome-updates" branch[0] and try to bring everything up
>>>>> to date. "glib" alone has almost 1500 dependent packages which is too
>>>>> much for "staging". What do you think?
>>>>>
>>>>> [0] https://lists.gnu.org/archive/html/guix-devel/2016-10/msg00933.html
>>>>
>>>> This is a good idea.  The ultimate purpose is to get the latest GNOME
>>>> release in GNU Guix.  I cannot carry this task entirely myself, if we
>>>> would like to get it in before the next GNOME release.. ;)
>>>>
>>>> So, I am not sure we need to build everything on Hydra, since it's
>>>> already under a high load.  Maybe it's enough to create a branch in the
>>>> Git repository and do the builds locally?
>>>
>>> I think pushing a "gnome-updates" branch to Savannah is a good start :)
>>> `./pre-inst-env guix refresh -u gnome` appears able to do the grunt of
>>> it. Let's start a Hydra evaluation once most packages are updated and
>>> see how it goes :)
>>
>> I pushed the branch and put the glib update there.  I will push of
>> 'refresh -u gnome' there as well.
>>
>> Kind regards,
>> Roel Janssen
>
> Hi Roel,
>
> I'm looking at updating GNOME packages as well. When I tried building
> the most recent version of Eye of GNOME, glib gave me two test
> failures. Do you think these failures could be a result of glib
> dependencies needing to be updated, or is this fixable on its own?
>
> Thanks in advance,
> Kei

Dear Kei,

I think I have found what fixes the two failing tests.. I run the tests
in parallel.  When I disabled running them in parallel, two tests fail
related to 'gdbus'.

Kind regards,
Roel Janssen